import request from '@/utils/request'

// 分页查询租户租赁列表
export function pageListHouse(query) {
  return request({
    url: '/tenant/house/pageList',
    method: 'get',
    params: query
  })
}

// 查询租户租赁列表
export function listHouse(query) {
  return request({
    url: '/tenant/house/list',
    method: 'get',
    params: query
  })
}

// 查询租户租赁详细
export function getHouse(id) {
  return request({
    url: '/tenant/house/' + id,
    method: 'get'
  })
}

// 新增租户租赁
export function addHouse(data) {
  return request({
    url: '/tenant/house',
    method: 'post',
    data: data
  })
}

// 修改租户租赁
export function updateHouse(data) {
  return request({
    url: '/tenant/house',
    method: 'put',
    data: data
  })
}

// 删除租户租赁
export function delHouse(id) {
  return request({
    url: '/tenant/house/' + id,
    method: 'delete'
  })
}

// 导出租户租赁
export function exportHouse(query) {
  return request({
    url: '/tenant/house/' + 'export',
    method: 'post',
    params: query
  })
}
